datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingencode20rhsentrezg <- function() showQCData("tilingencode20rhsentrezg", datacache)
tilingencode20rhsentrezg_dbconn <- function() dbconn(datacache)
tilingencode20rhsentrezg_dbfile <- function() dbfile(datacache)
tilingencode20rhsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingencode20rhsentrezg_dbInfo <- function() dbInfo(datacache)

tilingencode20rhsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingencode20rhsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilingencode20rhsentrezg", "chip tilingencode20rhsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingencode20rhsentrezg_dbconn())
}

